COS(3)

NAME
cos, cosf, cosl - cosine functions

SYNOPSIS
#include <math.h>
double
cos(double x);
float
cosf(float x);
long double
cosl(long double x);

DESCRIPTION
The cos() function computes the cosine of x (measured in radians). The cosf() function is a single precision version of cos(). The cosl() function is an extended precision version of cos(). A large magnitude argument may yield a result with little or no significance.

RETURN VALUES
The cos(), cosf() and cosl() functions return the cosine value.

SEE ALSO
acos(3), asin(3), atan(3), atan2(3), cosh(3), sin(3), sinh(3), tan(3), tanh(3)

STANDARDS
The cos() function conforms to ansiC.

HISTORY
A cos() function first appeared in AT&T UNIX.